<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla8test($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('8_ingresos_netos', $where, 1);
    $codigo_8 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    // 8. INGRESOS NETOS DEL DECLARANTE, PAREJA Y / O DEPENDIENTES ECONÓMICOS
    // $pdf->setSourceFile('plantillas/Ingresos_8.pdf');
    // $pdf->AddPage();
    // $tplIdx = $pdf->importPage(1);
    // $pdf->useTemplate($tplIdx, 0, 0);
    $pdf->SetFillColor(0, 0, 0);
                $pdf->SetY(58);;
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->I_remuneracion_mensual));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->II_otros_ingresos));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->II_1_actividad));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(140, 4, utf8_decode($codigo_8->razon_social));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(140, 4, utf8_decode($codigo_8->tipo_negocio));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->II_2_actividad_finenciera));
                $pdf->Ln(9);
                $pdf->SetX(13);
                if ($codigo_8->tipo_instrumento == 'OTRO / ESPECIFIQUE') {
                    $pdf->Cell(133, 4, utf8_decode($codigo_8->tipo_instrumento_esp));
                } else {
                    $pdf->Cell(133, 4, utf8_decode($codigo_8->tipo_instrumento));
                }
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->II_3_servicios));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(120, 4, utf8_decode($codigo_8->tipo_servicio));
                $pdf->Ln(9);
                $pdf->SetX(13);
    if ($codigo->tipo_formato == 2) {
        $pdf->Cell(47, 4, utf8_decode($codigo_8->II_4_enajenacion));
        $pdf->Ln(9);
        $pdf->SetX(13);
        $pdf->Cell(47, 4, utf8_decode($codigo_8->tipo_enajenado));
        $pdf->Ln(9);
        $pdf->SetX(13);
    }

    $pdf->Cell(47, 4, utf8_decode($codigo_8->II_no_considerados));
               // $pdf->Cell(47, 4, utf8_decode($codigo_8->II_4_no_considerados));

                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(85, 4, utf8_decode($codigo_8->tipo_ingreso));
                $pdf->Ln(9);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->ingreso_declarante));
                $pdf->Ln(10);
                $pdf->SetX(13);
                $pdf->Cell(190, 4, utf8_decode($codigo_8->ingreso_pareja_dependiente), 0, 0, '', true);
                $pdf->Ln(13.5);
                $pdf->SetX(13);
                $pdf->Cell(47, 4, utf8_decode($codigo_8->total_ingresos));
                $pdf->Ln(9.5);
                $pdf->SetX(13);
                $pdf->MultiCell(190, 3.5, utf8_decode($codigo_8->aclaraciones), 0, '', true);

}

